using System;

internal sealed class Delegate354 : MulticastDelegate
{
	public extern DateTime Invoke(object object_0);

	public static DateTime smethod_0(object object_0, Delegate354 delegate354_1)
	{
		return delegate354_1(object_0);
	}

	public extern Delegate354(object object_0, IntPtr intptr_0);

	static Delegate354()
	{
		Class10.smethod_13(typeof(Delegate354).TypeHandle);
	}

	internal static Delegate354 delegate354_0;
}
